%define oname	FlightCrew

%define api	0.7.2
%define libname	%mklibname %{name} %{api}
%define devname	%mklibname %{name} -d

Name:		flightcrew
Version:	0.9.0
Release:	%mkrel 2
Summary:	A C++, cross-platform, native code epub validator
License:	GPLv3 and LGPLv3
Group:		Office/Utilities
Url:		https://github.com/Sigil-Ebook/flightcrew
Source0:	https://github.com/Sigil-Ebook/flightcrew/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:		flightcrew-0.9.0-CMakeLists.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(xerces-c)

%description
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	common
Summary:	A C++, cross-platform, native code epub validator
Group:		Office/Utilities

%description	common
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	cli
Summary:	command line tool for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-common = %{version}-%{release}

%description	cli
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the command line tool for FlightCrew.

%package	gui
Summary:	Qt5 graphical front-end for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-cli = %{version}-%{release}
Provides:	flightcrew

%description	gui
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the Qt5 graphical front-end for FlightCrew.

%package	plugin
Summary:	Plugin for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-common = %{version}-%{release}

%description	plugin
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the plugin for FlightCrew.

%package -n	%{libname}
Summary:	Shared libs for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libs for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes:	flightcrew-devel < 0.7.2-18

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DBUILD_SHARED_FC=ON \
	-DBUILD_SHARED_XE=ON \
	-DNO_TEST_EXE=ON \
	-DBUILD_SHARED_ZI=ON
%make

%install
%make_install -C build

%files common
%doc ChangeLog.txt COPYING*.txt README.txt

%files cli
%{_bindir}/%{name}-cli

%files gui
%{_bindir}/%{name}-gui

%files plugin
%{_bindir}/%{name}-plugin

%files -n %{libname}
%{_libdir}/lib*.so.%{api}

%files -n %{devname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/cmake/*
%exclude %{_includedir}/zipios/
%exclude %{_libdir}/libzipios.so


%changelog
* Sat Dec 26 2015 daviddavid <daviddavid> 0.9.0-2.mga6
+ Revision: 915170
- rebuild for new boost 1.60.0

* Wed Nov 18 2015 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 904021
- new version: 0.9.0
- switch build to Qt5
- add plugin subpackage (for Sigil)
- merge all patches into a single patch
- update URL and Source URL
- libify devel subpackage
- update License
- improve description
- remove unneeded zipios development files

* Fri Sep 25 2015 daviddavid <daviddavid> 0.7.2-17.mga6
+ Revision: 883453
- rebuild for new boost-1.59.0

* Wed Aug 26 2015 daviddavid <daviddavid> 0.7.2-16.mga6
+ Revision: 869554
- rebuild for new gcc 5.2.1

* Sun Aug 02 2015 daviddavid <daviddavid> 0.7.2-15.mga6
+ Revision: 860527
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-14.mga5
+ Revision: 740978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-13.mga5
+ Revision: 679235
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 0.7.2-12.mga5
+ Revision: 586461
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.7.2-11.mga4
+ Revision: 529410
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 0.7.2-10.mga4
+ Revision: 451786
- rebuild for new boost

* Mon Jun 24 2013 fwang <fwang> 0.7.2-9.mga4
+ Revision: 446216
- build shared zi

* Mon Jun 24 2013 fwang <fwang> 0.7.2-8.mga4
+ Revision: 446212
- update file list
- build shared libs
- sync with fedora patches

* Mon Jun 24 2013 fwang <fwang> 0.7.2-7.mga4
+ Revision: 446205
- linkage fix
- build shared lib

* Wed Apr 10 2013 malo <malo> 0.7.2-6.mga3
+ Revision: 409449
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 0.7.2-5.mga3
+ Revision: 350540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Thu Dec 20 2012 fwang <fwang> 0.7.2-4.mga3
+ Revision: 333033
- update rpm group
- rebuild for new boost

* Thu Aug 02 2012 fwang <fwang> 0.7.2-3.mga3
+ Revision: 277822
- more system-libs and link fixes
- more patch
- fix if switch
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.7.2-2.mga3
+ Revision: 250099
- correct link against boost_system lib
- fix linkage
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 0.7.2-1.mga2
+ Revision: 173674
- new version 0.7.2

* Mon Nov 28 2011 fwang <fwang> 0.7.1-4.mga2
+ Revision: 173561
- rebuild for new boost
- disable check
- use cmake macro to detect boost
- rebuild for new boost

  + dmorgan <dmorgan>
    - Rebuild against new boost

* Thu Jan 27 2011 ahmad <ahmad> 0.7.1-1.mga1
+ Revision: 42009
- imported package flightcrew

